﻿@using Xtoman.Domain.Models
@model IdentityVerificationViewModel
@{
    ViewBag.Title = "وریفایی حساب " + Model.FullName;
    var IsPhotoshop = (bool)ViewBag.IsPhotoshop;
}

@section head{
    <link href="~/Plugins/select2/dist/css/select2.min.css" type="text/css" />
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive">
                    <table class="table">
                        <tr>
                            <th>نام کاربری</th>
                            <td>@Model.UserName</td>
                        </tr>
                        <tr>
                            <th>نام کامل</th>
                            <td>@Model.FullName</td>
                        </tr>
                        <tr>
                            <th>تاریخ تولد</th>
                            <td>
                                @(Model.BirthDate.HasValue ? Model.BirthDate.Value.ToString("yyyy/MM/dd") : "مشخص نشده")
                            </td>
                        </tr>
                        <tr>
                            <th>جنسیت</th>
                            <td>
                                @(Model.Gender.HasValue ? Model.Gender.Value ? "مرد" : "زن" : "معلوم نشده")
                            </td>
                        </tr>
                        <tr>
                            <th>تصویر ارسال شده</th>
                            <td><img class="img-fluid" src="@Model.VerificationMedia.Url.ToStaticUrl()" /></td>
                        </tr>
                        <tr>
                            <th>فتوشاپ شده؟</th>
                            <td>
                                @(IsPhotoshop ? "بله" : "خیر")
                            </td>
                        </tr>
                        <tr>
                            <th>
                                وضعیت احراز هویت
                            </th>
                            <td style="color:@Model.IdentityVerificationStatus.ToDisplay(DisplayProperty.GroupName)">
                                @Model.IdentityVerificationStatus.ToDisplay()
                            </td>
                        </tr>
                        <tr>
                            <th>
                                توضیحات
                            </th>
                            <td>
                                @Html.TextAreaFor(m => m.IdentityVerificationDescription, new { @class = "form-control" })
                            </td>
                        </tr>
                        <tr>
                            <th>توضیحات پیش فرض</th>
                            <td>
                                <select id="VerificationRejectReason" name="VerificationRejectReason" class="form-control select2">
                                    <option value="">------- ارسال از متن توضیحات -------</option>
                                    @foreach (VerificationRejectReason item in (VerificationRejectReason[])Enum.GetValues(typeof(VerificationRejectReason)))
                                    {
                                        <option value="@item.ToDisplay(DisplayProperty.Description)">@item.ToDisplay()</option>
                                    }
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th>عملیات</th>
                            <td>
                                <div class="row">
                                    <div class="col-md-4">
                                        <a href="@Url.Action("IdVerification", "Finnotech", new { id = Model.Id })" target="_blank" class="btn btn-dark">صحت سنجی کارت ملی</a>
                                    </div>
                                    <div class="col-md-4">
                                        <a id="confirmBtn" href="#" onclick="doVerify(@Model.Id, 1); return false;" class="btn btn-block btn-secondary"><span class="fa fa-check"></span> تایید مدارک</a>
                                    </div>
                                    <div class="col-md-4">
                                        <a id="declineBtn" href="#" onclick="doVerify(@Model.Id, 0); return false;" class="btn btn-block btn-danger"><span class="fa fa-remove"></span> باطل کردن مدارک</a>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script type="text/javascript" src="~/Plugins/select2/dist/js/select2.min.js"></script>
    <script type="text/javascript">
        $('.select2').select2({
            minimumResultsForSearch: -1,
            language: "fa",
            dir: "rtl"
        });
        $('#VerificationRejectReason').on('change', function () {
            var vrrText = $(this).val();
            if (vrrText) {
                $('#IdentityVerificationDescription').text(vrrText).prop('disabled', true);
            } else {
                $('#IdentityVerificationDescription').text('').prop('disabled', false);
            }
        })
        var url = "@Url.Action("Identity")";
        function doVerify(userId, accepted) {
            $('#confirmBtn').addClass('disabled');
            $('#declineBtn').addClass('disabled');
            var desc = $('#IdentityVerificationDescription').val();
            if (accepted === 1) {
                desc = '';
            }
            var postData = { id: userId, accepted: accepted, desc: desc }
            doAjax(postData, url, function (data) {
                if (data.Status) {
                    window.location.reload();
                } else {
                    $('#confirmBtn').removeClass('disabled');
                    $('#declineBtn').removeClass('disabled');
                }
            });
        }
    </script>
}